# Uses of Class
it.tdlight.jni.TdApi.BotCommand

## Uses of TdApi.BotCommand in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.BotCommand
Modifier and Type
Field
Description
`TdApi.BotCommand[]`
TdApi.BotCommands.`commands`
List of bot commands.
`TdApi.BotCommand[]`
TdApi.SetCommands.`commands`
List of the bot's commands.
`TdApi.BotCommand[]`
TdApi.UserFullInfo.`commands`
For bots, list of the bot commands.
Constructors in it.tdlight.jni with parameters of type TdApi.BotCommand
Modifier
Constructor
Description
``
`BotCommands(long botUserId, TdApi.BotCommand[] commands)`
Contains a list of bot commands.
``
`SetCommands(TdApi.BotCommandScope scope, String languageCode, TdApi.BotCommand[] commands)`
Sets the list of commands supported by the bot for the given user scope and language; for bots only.
``
`UserFullInfo(TdApi.ChatPhoto photo, boolean isBlocked, boolean canBeCalled, boolean supportsVideoCalls, boolean hasPrivateCalls, boolean needPhoneNumberPrivacyException, String bio, String shareText, String description, int groupInCommonCount, TdApi.BotCommand[] commands)`
Contains full information about a user.